Subject: Re: [PATCH] guilt: Make sure the commit time is increasing

From: [email-masked]
Date: Tue, 6 Jul 2010 13:12:31 -0400

On Tue, Jul 06, 2010 at 10:09:17AM -0500, Jonathan Nieder wrote:
> 
> I have never heard of any version of Git copying poorly with #1
> (commits with the same timestamp).  Avoiding it artificially leads
> inevitably to timestamps in the future when you somehow try to assign
> 100 timestamps for the series you have rebased on top of a patch
> committed a few seconds ago.
> 
> Incrementing the timestamp to ensure strictly monotonic commits seems
> like a recipe for trouble to me.

Um, I'm guessing you spent a lot of time typing your note, but not a
lot of time looking at my most recent patch?  My most recent patch for
guilt simply will set the time of the patch to the current time to
avoid setting it into the future.

      	      				- Ted